• Article for your preferred language does not exist. Below is international version of the article.

Article ID: 123115, created on Oct 10, 2014, last review on Feb 24, 2015

  • Applies to:
  • APS 2.x

Symptoms

APS resource provisioning fails with

[APSC] resource of type http://mycompany.com/types/hyperv/offers/1.0 can not be created by available brokers.

What does it mean and what could be the reason of these failures?

Cause

This just means that POA is unable to create a resource with type

http://mycompany.com/types/hyperv/offers/1.0

There can be multiple reasons for that:

  1. For example, if you increased version this resource it this resources schema, so schema for offers has version 1.1, but some other resource that requires the offers resource still wants to have version 1.0 of the resource (which does not exist anymore), you will get this error.

  2. In addition, if you have resource relations defined in schema in such a way that the resource cannot be properly created, you will also get the same error.

  3. It is possible that you did not add the required application resource in the service template. Check the provider guide documentation to make sure that you created all required resources and the service template contains these resources.

  4. It can be also a typo if the resource is defigned incorrectly. For example backslash is used in:

    http:\\mycompany.com/types/hyperv/offers/1.0

Resolution

70bf700e0cdb9d7211df2595ef7276ab 717db81efe94e616312b74fb03a5d474

Email subscription for changes to this article
Save as PDF